import type { GoogleAnalyticsApi } from 'third-party-capital';
import type { RegistryScriptInput } from '#nuxt-scripts';
export declare const GoogleAnalyticsOptions: import("valibot").ObjectSchema<{
    /**
     * The Google Analytics ID.
     */
    id: import("valibot").StringSchema<string>;
}, undefined, {
    id: string;
}>;
export type GoogleAnalyticsInput = RegistryScriptInput<typeof GoogleAnalyticsOptions>;
declare global {
    interface Window extends GoogleAnalyticsApi {
    }
}
/**
 * useScriptGoogleAnalytics
 *
 * A 3P wrapper for Google Analytics that takes an options input to feed into third-party-capital({@link https://github.com/GoogleChromeLabs/third-party-capital}), which returns instructions for nuxt-scripts.
 */
export declare function useScriptGoogleAnalytics<T extends GoogleAnalyticsApi>(_options?: GoogleAnalyticsInput): T & {
    $script: Promise<T> & import("@unhead/vue").VueScriptInstance<T>;
};
