/// <reference types="stripe-v3" />
import type { RegistryScriptInput } from '#nuxt-scripts';
export declare const StripeOptions: import("valibot").ObjectSchema<{
    advancedFraudSignals: import("valibot").OptionalSchema<import("valibot").BooleanSchema<boolean>, undefined, boolean | undefined>;
}, undefined, {
    advancedFraudSignals?: boolean | undefined;
}>;
export type StripeInput = RegistryScriptInput<typeof StripeOptions, false>;
export interface StripeApi {
    Stripe: stripe.StripeStatic;
}
declare global {
    interface Window extends StripeApi {
    }
}
export declare function useScriptStripe<T extends StripeApi>(_options?: StripeInput): T & {
    $script: Promise<T> & import("@unhead/vue").VueScriptInstance<T>;
};
